OGRE: Ogre::AnyNumeric Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::AnyNumeric Class Reference
Core » General

Specialised Any class which has built in arithmetic operators, but can hold only types which support operator +,-,* and / . More...

`#include <OgreAny.h>`

Inheritance diagram for Ogre::AnyNumeric:
[legend]

## Public Member Functions
| AnyNumeric ()
| AnyNumeric (const AnyNumeric &other)
template<typename ValueType >
| AnyNumeric (const ValueType &value)
virtual | ~AnyNumeric ()
void | destroy ()
template<typename ValueType >
ValueType | get (void) const
const std::type_info & | getType () const
bool | has_value () const
bool | isEmpty () const
template<typename ValueType >
ValueType | operator() () const
AnyNumeric | operator* (const AnyNumeric &rhs) const
AnyNumeric | operator* (Real factor) const
AnyNumeric & | operator*= (const AnyNumeric &rhs)
AnyNumeric | operator+ (const AnyNumeric &rhs) const
AnyNumeric & | operator+= (const AnyNumeric &rhs)
AnyNumeric | operator- (const AnyNumeric &rhs) const
AnyNumeric & | operator-= (const AnyNumeric &rhs)
AnyNumeric | operator/ (const AnyNumeric &rhs) const
AnyNumeric & | operator/= (const AnyNumeric &rhs)
AnyNumeric & | operator= (const AnyNumeric &rhs)
void | reset ()
Any & | swap (Any &rhs)
const std::type_info & | type () const

## Detailed Description

Specialised Any class which has built in arithmetic operators, but can hold only types which support operator +,-,* and / .

## Constructor & Destructor Documentation

## ◆ AnyNumeric() [1/3]

Ogre::AnyNumeric::AnyNumeric | ( |  | ) |
| inline

## ◆ AnyNumeric() [2/3]

template<typename ValueType >

Ogre::AnyNumeric::AnyNumeric | ( | const ValueType & | value | ) |
| inline

References Ogre::MEMCATEGORY_GENERAL, and OGRE_NEW_T.

## ◆ AnyNumeric() [3/3]

Ogre::AnyNumeric::AnyNumeric | ( | const AnyNumeric & | other | ) |
| inline

## ◆ ~AnyNumeric()

virtual Ogre::AnyNumeric::~AnyNumeric | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ destroy()

void Ogre::Any::destroy | ( | void |  | ) |
| inlineinherited

Deprecated:
  use reset() instead

Referenced by Ogre::WorkQueue::Response::abortRequest().

## ◆ get()

template<typename ValueType >

ValueType Ogre::Any::get | ( | void |  | ) | const
| inlineinherited

Deprecated:
  use Ogre::any_cast instead

## ◆ getType()

const std::type_info& Ogre::Any::getType | ( | void |  | ) | const
| inlineinherited

Deprecated:
  use type() instead

## ◆ has_value()

bool Ogre::Any::has_value | ( |  | ) | const
| inlineinherited

## ◆ isEmpty()

bool Ogre::Any::isEmpty | ( |  | ) | const
| inlineinherited

Deprecated:
  use has_value() instead

## ◆ operator()()

template<typename ValueType >

ValueType Ogre::Any::operator() | ( |  | ) | const
| inlineinherited

Deprecated:
  use Ogre::any_cast instead

## ◆ operator*() [1/2]

AnyNumeric Ogre::AnyNumeric::operator* | ( | const AnyNumeric & | rhs | ) | const
| inline

## ◆ operator*() [2/2]

AnyNumeric Ogre::AnyNumeric::operator* | ( | Real | factor | ) | const
| inline

## ◆ operator*=()

AnyNumeric& Ogre::AnyNumeric::operator*= | ( | const AnyNumeric & | rhs | ) |
| inline

## ◆ operator+()

AnyNumeric Ogre::AnyNumeric::operator+ | ( | const AnyNumeric & | rhs | ) | const
| inline

## ◆ operator+=()

AnyNumeric& Ogre::AnyNumeric::operator+= | ( | const AnyNumeric & | rhs | ) |
| inline

## ◆ operator-()

AnyNumeric Ogre::AnyNumeric::operator- | ( | const AnyNumeric & | rhs | ) | const
| inline

## ◆ operator-=()

AnyNumeric& Ogre::AnyNumeric::operator-= | ( | const AnyNumeric & | rhs | ) |
| inline

## ◆ operator/()

AnyNumeric Ogre::AnyNumeric::operator/ | ( | const AnyNumeric & | rhs | ) | const
| inline

## ◆ operator/=()

AnyNumeric& Ogre::AnyNumeric::operator/= | ( | const AnyNumeric & | rhs | ) |
| inline

## ◆ operator=()

AnyNumeric& Ogre::AnyNumeric::operator= | ( | const AnyNumeric & | rhs | ) |
| inline

References Ogre::Any::swap().

## ◆ reset()

void Ogre::Any::reset | ( |  | ) |
| inlineinherited

References Ogre::MEMCATEGORY_GENERAL, and OGRE_DELETE_T.

## ◆ swap()

Any& Ogre::Any::swap | ( | Any & | rhs | ) |
| inlineinherited

References std::swap().

Referenced by operator=(), and Ogre::Any::operator=().

## ◆ type()

const std::type_info& Ogre::Any::type | ( |  | ) | const
| inlineinherited

Referenced by Ogre::any_cast().

The documentation for this class was generated from the following file:

- OgreAny.h